 
#define LOW	0
#define HIGH 1
#define TRUE	 1
#define FALSE 0

#define set_scl( bDat)	{ i2c_scl = bDat;  i2c_scl = bDat;}
#define set_sda(bDat)	{ i2c_sda_al242 = bDat;  i2c_sda_al242 = bDat;}
#define set_sda_input	{ i2c_sda_al242 = HIGH; }
#define set_scl_input	{ i2c_scl = HIGH; }
#define AL242_slaveID  0x24


/*
#define _colour_mode	0
#define _vline_625		1
#define _hpixel			2
#define _ped			       3
#define _hagc			4
 

#define _hactive_start  5
#define _vactive_start  6
#define _vactive_high   7
#define _adaptive_mode  8
#define _Cautopos		9
#define _Cage			10
#define _comb_wide_band 11
*/

// OSC define

#define _14_318 0
#define _20_0   1
#define _20_25  2
#define _24_00  3
#define _24_576 4
#define _27_0   5
#define _28_6364 6

enum	SOURCE_STANDARD
{
	STD_NTSC_M,
	STD_NTSC_443,
	STD_PAL_I,
	STD_PAL_M,
	STD_PAL_CN,
	STD_SECAM,
	STD_PAL_60,
	STD_BW625,
	STD_BW525,
	STD_NTSC_J,
	STD_PAL_N,
	STD_UNKNOWN

};

extern code unsigned char szNTSC_M[];
extern code unsigned char szNTSC_443[];
extern code unsigned char szPAL_I[];
extern code unsigned char szPAL_M[];
extern code unsigned char szPAL_CN[];
extern code unsigned char szSECAM[];
extern code unsigned char szPAL_60[];


extern void SetAl240Standard(unsigned char cStd);



extern void	GetSignalStatus(void);
extern void 	StandardDetect(void);
extern void 	UpdateStandard(void);
//extern void	init(void);
extern void 	InitReg(unsigned char *pcDat);

//extern void SetupAL242VideoModeX(unsigned int _VideoModeX);
//extern unsigned char SetupAL242EVBVideoMode(unsigned int _VideoFormatX);
//extern void   SetAL242OutputMode(unsigned char _ModeX);
extern unsigned char InputChannelSelectAL242(unsigned char  _InputChannelX);
extern void AutoDetectProgress(void);
extern void AL242Initialize(void);
extern void dcMoreBrightness();
extern void dcLessBrightness();
extern void dcMoreContrast();
extern void dcLessContrast(); 
extern void dcMoreSaturation();
extern void dcLessSaturation();
extern void dcMoreHue();
extern void dcLessHue();
extern unsigned char dcGetBrightness();
extern void dcSetBrightness(unsigned char value);
extern unsigned char dcGetContrast() ;
extern void dcSetContrast(unsigned char value);
extern unsigned char dcGetSaturation();
extern void dcSetSaturation(unsigned char value);
extern unsigned char dcGetHue();
extern void dcSetHue(unsigned char value);

// AL242 I2C function

extern void al242_scl_toggle(void);
extern void al242_i2c_start(void);
extern void al242_i2c_stop(void);
extern void al242_i2c_write_byte(unsigned char cDat);
extern unsigned char al242_i2c_read_byte(void);
extern unsigned char al242_i2c_write(unsigned char cChip_addr, unsigned char cIndex, unsigned char cDat);
extern unsigned char al242_i2c_read(unsigned char cChip_addr, unsigned char cIndex);
extern unsigned char GetAL242Reg(unsigned char _SubAddr);
extern void SetAL242Reg(unsigned char _SubAddr,unsigned char _dx);


